package local.targets;

/*!
 *  ======== TIArm11D ========
 *  TI Arm11 target
 *
 *  This module is exactly the same as `{@link TIArm11}` above except
 *  that it prints a message whenever one of its methods is
 *  called.  This module illustrates how one can override the
 *  implementations contained in the inherited interfaces to
 *  create customized target behavior; see the this module's
 *  implementation file `TIArm11D.xs`.
 */
metaonly module TIArm11D inherits local.targets.ITIArm
{
    override readonly config String name             = "TIArm11D"; 
    override readonly config String suffix           = "470_11";
    override readonly config String isa              = "arm6";    
    override readonly config xdc.bld.ITarget.Model model = {
        endian: "little"
    };

    override readonly config ti.targets.ITarget.Command cc = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"
    };

    override readonly config ti.targets.ITarget.Command asm = {
        cmd:  "cl470",
        opts: "-c -me --abi=ti_arm9_abi -mv=6 -eo.o470_11 -ea.s470_11"
    };

    /*!
     *  ======== linkLib ========
     *  Default TMS470 cgtools runtime library to link with 
     *  (options: rts16earm11.lib, rts32earm11.lib)
     */
    config String linkLib = "rts16earm11.lib";
}
