/*
 *  ======== TIArm11D.xs ========
 *  This implementation illustrates how one can use "delagation" to
 *  transparently extend the capability of this module's super class
 *  (ti.targets.ITarget).
 *
 *  In this case, we simply print a message each time an ITarget method is
 *  called before invoking the super's implementation.  Obviously, one can
 *  filter the results of super's result (or completely redefine it) before
 *  returning to the client.
 */

/*
 *  ======== archive ========
 */
function archive(goal)
{
    print(this.$name + ".archive(" + goal.base + ")");
    return (this.$super.archive(goal));
}

/*
 *  ======== compile ========
 */
function compile(goal)
{
    print(this.$name + ".compile(" + goal.base + ")");
    return (this.$super.compile(goal));
}

/*
 *  ======== getVersion ========
 */
function getVersion()
{
    print(this.$name + ".getVersion()");
    return (this.$super.getVersion());
}

/*
 *  ======== scompile ========
 */
function scompile(goal)
{
    print(this.$name + ".scompile(" + goal.base + ")");
    return (this.$super.scompile(goal));
}

/*
 *  ======== link ========
 */
function link(goal)
{
    print(this.$name + ".link(" + goal.base + ")");
    return (this.$super.link(goal));
}
